##
## This is file `idata.R',
## generated with the docstrip utility.
##
## The original source files were:
##
## paper-2a.dtx  (with options: `idata,stats')
## Documented solutions for OpenIntro labs
## Copyright © 2022, 2023, 2024 निरंजन
## 
## -------------------------------------------------------------
## Version:      v0.1 (30 January, 2024)
## Author:       निरंजन
## Description:  Documented solutions for OpenIntro labs.
## Repository:   puszcza.gnu.org.ua/projects/niranjan-rr
## License:      GPLv3+, GFDLv1.3+
## -------------------------------------------------------------
## 
## This program is free software: you can redistribute it
## and/or modify it under the terms of the GNU General Public
## License as published by the Free Software Foundation, either
## version 3 of the License, or (at your option) any later
## version.
## 
## This program is distributed in the hope that it will be
## useful, but WITHOUT ANY WARRANTY; without even the implied
## warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
## PURPOSE. See the GNU General Public License for more
## details.
## 
## You should have received a copy of the GNU General Public
## License along with this program. If not, see
## <https://www.gnu.org/licenses/>.
## ----------------------------------------------------------
cdc <- read.csv(
  "cdc.csv",      ## name of the csv file to be read.
  header=TRUE     ## if the first row is a header.
)
message(
  "-------------------------\n",
  "**Chapter 2: Exercise 1**\n",
  "-------------------------"
)
cases <- nrow(cdc)
variables <- ncol(cdc)
message(
  "Cases:     ",cases
)
message(
  "Variables: ",variables
)
hiqr <- IQR(cdc$height)
aiqr <- IQR(cdc$age)
message(
  "\nIQR of the height variable is ",hiqr,"\n"
)
message(
  "IQR of the age variable is ",aiqr,"\n"
)
message("\nSummary of height:\n")
summary(cdc$height)
message("\nSummary of age:\n")
summary(cdc$age)
table(cdc$gender)
table(cdc$gender,cdc$exerany)
## End of file `idata.R'.
