##
## This is file `plot4.R',
## generated with the docstrip utility.
##
## The original source files were:
##
## paper-2a.dtx  (with options: `idata,tikz,bmi,hplot,plot4')
## Documented solutions for OpenIntro labs
## Copyright © 2022, 2023, 2024 निरंजन
## 
## -------------------------------------------------------------
## Version:      v0.1 (30 January, 2024)
## Author:       निरंजन
## Description:  Documented solutions for OpenIntro labs.
## Repository:   puszcza.gnu.org.ua/projects/niranjan-rr
## License:      GPLv3+, GFDLv1.3+
## -------------------------------------------------------------
## 
## This program is free software: you can redistribute it
## and/or modify it under the terms of the GNU General Public
## License as published by the Free Software Foundation, either
## version 3 of the License, or (at your option) any later
## version.
## 
## This program is distributed in the hope that it will be
## useful, but WITHOUT ANY WARRANTY; without even the implied
## warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
## PURPOSE. See the GNU General Public License for more
## details.
## 
## You should have received a copy of the GNU General Public
## License along with this program. If not, see
## <https://www.gnu.org/licenses/>.
## ----------------------------------------------------------
library(tikzDevice)
cdc <- read.csv(
  "cdc.csv",      ## name of the csv file to be read.
  header=TRUE     ## if the first row is a header.
)
bmi <- (cdc$weight/cdc$height^2)*703
tikz('plot4.tex')
boxplot(bmi~cdc$genhlth)
dev.off()
## End of file `plot4.R'.
